Bug 1382743 - mozboot: Update rust to 1.19.0. r=mshal
authorRalph Giles <giles@mozilla.com>
Fri, 21 Jul 2017 15:36:26 -0700
changeset 370861 89375283b43e26b49b067cf9f2e7b274ab1560ab
parent 370860 be64833f9980874e8f2c10c764949b927f590ec0
child 370862 798d2c7d1fdf8314a78e0978e8f626e972d194fa
push id47197
push userrgiles@mozilla.com
push dateTue, 25 Jul 2017 19:15:20 +0000
treeherderautoland@89375283b43e [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersmshal
bugs1382743
milestone56.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1382743 - mozboot: Update rust to 1.19.0. r=mshal Consider Rust toolchains prior to 1.19.0 old enough to update by the `mach bootstrap` command, in preparation for requiring that release during Firefox 57 nightly development. MozReview-Commit-ID: JaaM3sPDmzn
python/mozboot/mozboot/base.py
--- a/python/mozboot/mozboot/base.py
+++ b/python/mozboot/mozboot/base.py
@@ -146,17 +146,17 @@ ac_add_options --enable-artifact-builds
 # This should match OLDEST_NON_LEGACY_VERSION from
 # the hg setup wizard in version-control-tools.
 MODERN_MERCURIAL_VERSION = LooseVersion('3.7.3')
 
 # Upgrade Python older than this.
 MODERN_PYTHON_VERSION = LooseVersion('2.7.3')
 
 # Upgrade rust older than this.
-MODERN_RUST_VERSION = LooseVersion('1.18.0')
+MODERN_RUST_VERSION = LooseVersion('1.19.0')
 
 class BaseBootstrapper(object):
     """Base class for system bootstrappers."""
 
     def __init__(self, no_interactive=False):
         self.package_manager_updated = False
         self.no_interactive = no_interactive
         self.state_dir = None